#!/usr/bin/python3

import msgpack
import json
import sqlite3
import os

try:
	os.remove("geoip.db")
except FileNotFoundError:
	pass

with open("geoip_city.mp", "rb") as f:
	geoip = msgpack.unpack(f)

db = sqlite3.connect("geoip.db")
cur = db.cursor()
cur.execute("CREATE TABLE geoip (start INT, end INT, data TEXT)")
for start, end, data in geoip:
	cur.execute("INSERT INTO geoip VALUES (?, ?, ?)", (start, end, json.dumps(data)))

db.commit()
cur.close()
db.close()
